# Manuel utilisateur de &kde;

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
2009-09-10
2.13 (&kde; 4.3.1)
Environnement de Bureau KDE
ark
1

# `ark`

Outil d'archivage de &kde;

    ark -b -a -e -c -f  suffixe -p -t  fichier -d -o  dossier Options génériques de &kde; Options génériques de &Qt;

## Description

&ark; est un programme destiné à gérer divers formats d'archives dans &kde;. Les archives peuvent être affichées, extraites, créées et modifiées depuis &ark;. Le programme est compatible avec plusieurs formats comme tar, gzip, bzip2, zip, rar (lorsque les bibliothèques ou programmes en ligne de commande appropriés sont installés).

## Modes de fonctionnement

&ark; peut être utilisé soit comme un programme autonome avec &GUI;, soit comme un programme en ligne de commande afin de réaliser certaines tâches spécifiques.

S'il est invoqué sans les options -b (--batch) ou -c (--add), &ark; est démarré comme un programme &GUI; standard.

Lorsque l'option -b (--batch) est présente, &ark; peut être utilisé pour extraire le contenu d'un ou de plusieurs fichiers directement à partir de la ligne de commande, sans lancer son &GUI;.

Lorsque l'option -c (--add) est présente, &ark; invite à fournir les fichiers devant être ajoutés à une archive nouvelle ou existante.

## Options

`-d, --dialog`

  Afficher une boîte de dialogue pour spécifier les options pour une opération en lot ou d'ajout.

`-o, --destination dossier`

  Définir le dossier d'extraction par défaut à dossier. Si rien n'est fourni, l'emplacement courant est utilisé.

### Options pour l'ajout de fichiers

`-c, --add`

  Demander à l'utilisateur un nom d'archive à laquelle ajouter les fichiers spécifiés. Quitter l'application une fois l'opération terminée.

`-t, --add-to fichier`

  Ajouter les fichiers spécifiés à fichier. Créer l'archive si elle n'existe pas. Quitter l'application une fois l'opération terminée.

`-p, --changetofirstpath`

  Modifier le dossier courant par la première entrée et ajouter toutes les autres entrées relativement à celle-ci.

`-f, --autofilename suffixe`

  Choisir automatiquement un nom de fichier, avec le suffixe sélectionné (par exemple rar, tar.gz, zip ou tout autre type pris en charge).

### Options pour l'extraction en lot

`b, --batch`

  Utiliser l'interface de traitement en lot au lieu de la boîte de dialogue usuelle. Cette option est implicite si plus d'une URL est spécifiée.

`-e, --autodestination`

  L'argument de destination sera défini comme l'emplacement du premier fichier fourni.

`-a, --autosubfolder`

  Le contenu de l'archive sera lu, et s'il est détecté qu'il ne s'agit pas d'une archive comportant un unique dossier, un sous-dossier du nom de l'archive sera créé.

## Exemples

``ark` `--batch` archive.tar.bz2`

  Ceci va extraire archive.tar.bz2 dans le dossier courant sans afficher aucun &GUI;.

``ark` `-b` `-d` archive.tar.bz2 archive2.zip`

  Ceci va d'abord afficher une boîte de dialogue d'options d'extraction, puis extraire archive.tar.bz2 et archive2.zip dans le dossier choisi via la boîte de dialogue.

``ark` `--add-to` mon-archive.zip photo1.jpg texte.txt`

  Ceci va créer l'archive mon-archive.zip si elle n'existe pas, puis y ajouter photo1.jpg et texte.txt.

## Auteurs

&ark; est actuellement maintenu par &Harald.Hvaal; &Harald.Hvaal.mail; et &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Cette page de manuel a été écrite par &Lauri.Watts; &Lauri.Watts.mail; en 2005 pour &kde; 3.4, puis a été mise à jour en 2009 par &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.